Update ticket
curl --request PUT \
--url https://api.birdeye.com/resources/v1/ticket/{businessNumber}/update \
--header 'Content-Type: application/json' \
--data '
{
"ticketUpdateMessages": [
{
"assignedTo": "steve@ymail.com",
"ticketId": "882382",
"ticketStatus": "assigned"
}
],
"userEmail": "pranav.singh@birdeye.com"
}
'import requests
url = "https://api.birdeye.com/resources/v1/ticket/{businessNumber}/update"
payload = {
"ticketUpdateMessages": [
{
"assignedTo": "steve@ymail.com",
"ticketId": "882382",
"ticketStatus": "assigned"
}
],
"userEmail": "pranav.singh@birdeye.com"
}
headers = {"Content-Type": "application/json"}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
ticketUpdateMessages: [{assignedTo: 'steve@ymail.com', ticketId: '882382', ticketStatus: 'assigned'}],
userEmail: 'pranav.singh@birdeye.com'
})
};
fetch('https://api.birdeye.com/resources/v1/ticket/{businessNumber}/update', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 1161,
"message": "Invalid API key"
}{
"code": 1175,
"message": "No business found with the given id"
}{
"code": 89,
"message": "Rate limit exceeded"
}Ticketing
Update ticket
Update the ticket status or ticket assignee.
PUT
/
v1
/
ticket
/
{businessNumber}
/
update
Update ticket
Headers
e.g. application/json
e.g. 2uiHKCTi8hSg35MG75aaot0B2SAokhjk (string, required) - Partner specific API key provided by Birdeye for data exchange.
Media type of the JSON request body.
Path Parameters
Business number of the location.
Body
application/json
Update ticket.
Show child attributes
Show child attributes
Response
OK
⌘I